Bug 1368932 - dnf.exceptions.ConfigError: Repository anaconda has no mirror or baseurl set. [NEEDINFO]
Summary: dnf.exceptions.ConfigError: Repository anaconda has no mirror or baseurl set.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f0aca94aa9dfd8c7c95f7030bda...
Keywords: Reopened
Depends On:
Blocks: PPCTracker F25PPCFinal
TreeView+ depends on / blocked
 
Reported: 2016-08-22 07:43 UTC by lnie
Modified: 2019-03-21 10:50 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-03-21 10:50:58 UTC
normand: needinfo? (jkonecny)


Attachments (Terms of Use)
File: anaconda-tb (358.32 KB, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: anaconda.log (28.46 KB, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: dnf.librepo.log (39.48 KB, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: environ (482 bytes, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: hawkey.log (2.08 KB, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: lsblk_output (1.44 KB, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: nmcli_dev_list (1.20 KB, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: os_info (449 bytes, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: program.log (21.79 KB, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: storage.log (38.72 KB, text/plain)
2016-08-22 07:44 UTC, lnie
no flags Details
File: syslog (66.08 KB, text/plain)
2016-08-22 07:45 UTC, lnie
no flags Details
File: ifcfg.log (2.40 KB, text/plain)
2016-08-22 07:45 UTC, lnie
no flags Details
File: packaging.log (9.07 KB, text/plain)
2016-08-22 07:45 UTC, lnie
no flags Details
dnf_reports_missing_repo.png (145.02 KB, image/png)
2017-03-22 03:43 UTC, Michel Normand
no flags Details
anaconda_f29GA_20190129.log (19.40 KB, text/plain)
2019-01-29 15:35 UTC, Michel Normand
no flags Details
install_source_graphical-packaging.log (12.10 KB, text/plain)
2019-01-30 13:34 UTC, Michel Normand
no flags Details
install_source_graphical-dnf.librepo.log (9.61 KB, text/plain)
2019-01-30 13:38 UTC, Michel Normand
no flags Details
install_source_graphical-syslog.log (244.04 KB, text/plain)
2019-01-30 13:46 UTC, Michel Normand
no flags Details
install_source_graphical-program.log (23.04 KB, text/plain)
2019-01-30 13:58 UTC, Michel Normand
no flags Details
install_source_graphical-storage.log (37.46 KB, text/plain)
2019-01-30 13:59 UTC, Michel Normand
no flags Details

Description lnie 2016-08-22 07:43:34 UTC
Description of problem:
1)add an inst.repo boot option with a nfs repo
2)change Installation source to  closest mirror
3)change Installation source back to the nfs repo
4)see the crash

Version-Release number of selected component:
anaconda-25.20-1

The following was filed automatically by anaconda:
anaconda 25.20-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.5/site-packages/dnf/repodict.py", line 37, in add
    raise ConfigError(msg)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/dnfpayload.py", line 316, in _add_repo
    self._base.repos.add(repo)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/dnfpayload.py", line 920, in updateBaseRepo
    self._add_repo(base_ksrepo)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/packaging/__init__.py", line 1334, in _runThread
    payload.updateBaseRepo(fallback=fallback, checkmount=checkmount)
  File "/usr/lib64/python3.5/threading.py", line 862, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
dnf.exceptions.ConfigError: Repository anaconda has no mirror or baseurl set.

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-25 rd.live.check quiet inst.repo=nfs:10.66.129.207:/nfsy/Fedora-Server-dvd-x86_64-25-20160819.n.1.iso
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.0-0.rc1.git0.1.fc25.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        25

Comment 1 lnie 2016-08-22 07:44:29 UTC
Created attachment 1192785 [details]
File: anaconda-tb

Comment 2 lnie 2016-08-22 07:44:33 UTC
Created attachment 1192786 [details]
File: anaconda.log

Comment 3 lnie 2016-08-22 07:44:38 UTC
Created attachment 1192787 [details]
File: dnf.librepo.log

Comment 4 lnie 2016-08-22 07:44:41 UTC
Created attachment 1192788 [details]
File: environ

Comment 5 lnie 2016-08-22 07:44:42 UTC
Created attachment 1192789 [details]
File: hawkey.log

Comment 6 lnie 2016-08-22 07:44:44 UTC
Created attachment 1192790 [details]
File: lsblk_output

Comment 7 lnie 2016-08-22 07:44:46 UTC
Created attachment 1192791 [details]
File: nmcli_dev_list

Comment 8 lnie 2016-08-22 07:44:47 UTC
Created attachment 1192792 [details]
File: os_info

Comment 9 lnie 2016-08-22 07:44:50 UTC
Created attachment 1192793 [details]
File: program.log

Comment 10 lnie 2016-08-22 07:44:54 UTC
Created attachment 1192794 [details]
File: storage.log

Comment 11 lnie 2016-08-22 07:45:00 UTC
Created attachment 1192795 [details]
File: syslog

Comment 12 lnie 2016-08-22 07:45:02 UTC
Created attachment 1192796 [details]
File: ifcfg.log

Comment 13 lnie 2016-08-22 07:45:04 UTC
Created attachment 1192797 [details]
File: packaging.log

Comment 14 Menanteau Guy 2016-10-13 13:42:09 UTC
Similar problem has been detected:

This problem is raised by running the QA:Testcase_install_repository_NFS_graphical
on f25 ppc64le Beta 1.2  
http://ppc.koji.fedoraproject.org/compose/25/Fedora-25-20161010.0/compose/Server/ppc64le/iso/Fedora-Server-dvd-ppc64le-25_Beta-1.2.iso
nfs choosen and 9.101.19.56:/share/xxx  as repo.

I am not able to use NFS in graphical mode for my repo.
Note that is working fine if I use the equivalent anaconda boot option. 
linux /ppc/ppc64/vmlinuz inst.repo=nfs:9.101.19.56:/share/xxx

Alaso, when the problem occurs, I can switch in the anaconda console and I am able to
mount the same nfs repo with a standard mount command.
mount 9.101.19.56:/share/xxx test

addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/ppc/ppc64/vmlinuz ro
hashmarkername: anaconda
kernel:         4.8.0-0.rc7.git0.1.fc25.ppc64le
package:        anaconda-25.20.4-1
product:        Fedora
reason:         dnf.exceptions.ConfigError: Repository anaconda has no mirror or baseurl set.
release:        Cannot get release name.
version:        25

Comment 15 Michel Normand 2017-03-22 03:43 UTC
Created attachment 1265288 [details]
dnf_reports_missing_repo.png

The problem is still alive with f26, 
the reported error is still
"dnf.exceptions.ConfigError: Repository anaconda has no mirror or baseurl set."
despite the nfs server address specified via UI (as per dnf_reports_missing_repo.png attachment)

If required I could add similar logs as already attached, but what is missing to help investigation of this bug ?

Comment 16 John Bieren 2017-03-22 12:40:30 UTC
This problem exists on anaconda 26.21.1-1 when installing Fedora-26 as well.

===============================================================================
An unknown error has occurred
===============================================================================
anaconda 26.21.1-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/dnf/repodict.py", line 41, in add
    raise ConfigError(msg)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/dnfpayload.py", line 339, in _add_repo
    self._base.repos.add(repo)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/dnfpayload.py", line 952, in updateBaseRepo
    self._add_repo(base_ksrepo)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/payload/__init__.py", line 1359, in _runThread
    payload.updateBaseRepo(fallback=fallback, checkmount=checkmount)
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self, *args, **kwargs)
dnf.exceptions.ConfigError: Repository anaconda has no mirror or baseurl set.

Comment 17 Fedora End Of Life 2017-11-16 19:37:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 18 Fedora End Of Life 2017-12-12 10:24:59 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 19 Michel Normand 2018-03-02 09:48:55 UTC
still valid problem for f28 ppc64/ppc64le as per openQA test:

https://openqa.stg.fedoraproject.org/tests/242832#step/install_source_graphical/7

Comment 20 Michel Normand 2018-09-05 12:30:54 UTC
still same problem with f29 as per openQA test
https://openqa.stg.fedoraproject.org/tests/350800#step/install_source_graphical/7

Comment 21 Vendula Poncova 2018-09-06 09:36:34 UTC
We will look at it. Thanks for the report!

Comment 22 Michel Normand 2019-01-29 15:31:28 UTC
(In reply to Michel Normand from comment #20)
> still same problem with f29 as per openQA test
> https://openqa.stg.fedoraproject.org/tests/350800#step/
> install_source_graphical/7

With the f29 GA level there is  still a failure in openQA test:
- setting nfs 10.0.2.110:/repo in "INSTALLATION SOURCE" menu 
- next "INSTALLATION SUMMARY" do not reports a popup as above Id#350800; but a "Error setting up base repository" small message as per https://openqa.stg.fedoraproject.org/tests/388040#step/install_source_graphical/7

The reported anaconda.log do not help to identify the source of the problem:
=== extract anaconda.log
11:12:24,010 DBG ui.gui.hubs: setting SourceSpoke status to: Setting up installation source...
11:12:24,926 DBG payload: Setting up nfs install device
11:12:24,947 DBG payload: getting release version from tree at None (29)
11:12:24,947 DBG payload: using treeinfo release version of 29
11:12:24,951 DBG payload: Updating payload thread state: 5
11:12:24,966 INF payload: Refreshing environmentAddons
11:12:24,967 ERR payload: No base repo configured
11:12:24,967 DBG payload: Updating payload thread state: -1
11:12:24,972 DBG payload: getting release version from tree at None (29)
11:12:24,972 DBG payload: using default release version of 29
11:12:24,975 INF threading: Thread Done: AnaPayloadThread (140735317995888)
...
11:12:25,005 DBG ui.gui.hubs: setting SourceSpoke status to: Error downloading package metadata
11:12:25,008 DBG ui.gui.hubs: spoke is ready: SourceSpoke
11:12:25,008 DBG ui.gui.hubs: setting SoftwareSelectionSpoke status to: Error downloading package metadata
===

Comment 23 Michel Normand 2019-01-29 15:35 UTC
Created attachment 1524720 [details]
anaconda_f29GA_20190129.log

anaconda_f29GA_20190129.log associated to above comment#22

Comment 24 Jiri Konecny 2019-01-30 13:12:53 UTC
Hello,

Could you please provide us other logs from the installation environment. The packaging.log file would be especially interesting.

Thank you

Comment 25 Michel Normand 2019-01-30 13:34 UTC
Created attachment 1525034 [details]
install_source_graphical-packaging.log

Comment 26 Michel Normand 2019-01-30 13:38 UTC
Created attachment 1525037 [details]
install_source_graphical-dnf.librepo.log

Comment 27 Michel Normand 2019-01-30 13:46 UTC
Created attachment 1525038 [details]
install_source_graphical-syslog.log

Comment 28 Michel Normand 2019-01-30 13:58 UTC
Created attachment 1525039 [details]
install_source_graphical-program.log

Comment 29 Michel Normand 2019-01-30 13:59 UTC
Created attachment 1525040 [details]
install_source_graphical-storage.log

Comment 30 Michel Normand 2019-02-01 10:59:54 UTC
Hello Jiri, were you able to conclude something from last attached files ? Do you need other data to investigate this problem ?

Comment 31 Jiri Konecny 2019-02-04 12:36:43 UTC
Not yet, sorry. I was looking into the provided logs but except there is some issue with nfs repositories I wasn't able to find out more and unfortunately I don't have much time to spend on this now. I'll try to get onto this soon.

Comment 32 Ben Cotton 2019-02-19 17:11:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 33 Michel Normand 2019-03-21 10:50:58 UTC
There was most probably a significant change in anaconda that make the f30 release to solve this problem as reported by openQA tests:
https://openqa.stg.fedoraproject.org/tests/500193 <= f30
https://openqa.stg.fedoraproject.org/tests/499747 <= Rawhide


Note You need to log in before you can comment on or make changes to this bug.